import Vue from 'vue';
import Vuex from 'vuex';
import link from './link';
import site from './site';
import news from './news';
import column from './column';
import policyColumn from './policyColumn';
import policyNews from './policyNews';
import recordColumn from './recordColumn';
import recordNews from './recordNews';
import serveColumn from './serveColumn';
import serveNews from './serveNews';

Vue.use(Vuex);

export default new Vuex.Store({
  modules: {
    link,
    site,
    news,
    column,
    policyColumn,
    policyNews,
    recordColumn,
    recordNews,
    serveColumn,
    serveNews,
  },
  state: {},
  mutations: {},
  actions: {},
});
